FLTK 1.4.4

Loading...
Searching...
No Matches
Fl_Grid::Cell Class Reference

## Public Member Functions
Fl_Grid_Align | align () const
void | align (Fl_Grid_Align align)
| Cell (Fl_Widget *w, int row, int col)
| Cell (int row, int col)
void | Cell_ ()
short | col () const
short | colspan () const
void | colspan (short v)
void | minimum_size (int *w, int *h) const
void | minimum_size (int w, int h)
Cell * | next ()
| Returns the next widget cell of the same row of this cell.
void | next (Cell *c)
| Sets the `next` pointer of a grid's cell.
short | row () const
short | rowspan () const
void | rowspan (short v)
Fl_Widget * | widget () const
| ~Cell ()
| The destructor deletes the cell.

## Friends
class | Fl_Grid

## Constructor & Destructor Documentation

## ◆ ~Cell()

Fl_Grid::Cell::~Cell | ( |  | ) |
| inline

The destructor deletes the cell.

Todo
  Fl_Grid's cell destructor should remove the cell from the grid. Currently it does nothing!

## Member Function Documentation

## ◆ next()

void Fl_Grid::Cell::next | ( | Cell * | c | ) |
| inline

Sets the `next` pointer of a grid's cell.

Internal use only!

Do not use this method, it may corrupt the allocated memory.

The documentation for this class was generated from the following file:

- Fl_Grid.H